Create Suggestion
POST
/api/canvas/{deal_id}/suggestions
const url = 'https://example.com/api/canvas/example/suggestions';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"section_key":"example","suggestion_id":"example","original_text":"example","proposed_text":"example","anchor_text":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/canvas/example/suggestions \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "section_key": "example", "suggestion_id": "example", "original_text": "example", "proposed_text": "example", "anchor_text": "example" }'Create a user-authored edit suggestion.
RequireCommenter — commenters, editors, and owners can propose changes. No edit lock required (suggestions don’t mutate canonical content).
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” deal_id
required
Deal Id
string
Request Body required
Section titled “Request Body required ” Media type application/json
CreateSuggestionRequest
object
Example generated
{ "section_key": "example", "suggestion_id": "example", "original_text": "example", "proposed_text": "example", "anchor_text": "example"}Responses
Section titled “ Responses ”Successful Response
Media type application/json
Example generated
exampleValidation Error
Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Example generated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}